<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_32155ccb342f19904" . "3093041c1b3bb57" => base64_decode("ZnJvb" . "V9mb2" . "xkZXJ" . "faWQ="), "_80e7ee43fdf838101a230" . "3a7b4a50efc" => base64_decode("dG9fZm9sZGVyX2" . "lk"));
use Claromentis\Core\Event\GenericEvent;


class MoveDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_32155ccb342f1990" . "43093041c1b3bb57"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_80e7ee43fdf838101a2303a7b4a5" . "0efc"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}